import 'package:flutter/material.dart';
import 'screens/freecell_screen.dart';
import 'screens/loading_screen.dart';
import 'screens/start_screen.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(const FreeCellDemoApp());
}

class FreeCellDemoApp extends StatelessWidget {
  const FreeCellDemoApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: const LoadingScreen(),
      routes: {
        '/start': (context) => const StartScreen(),
        '/game': (context) => const FreeCellScreen(),
      },
    );
  }
}
